gnu.trove

## Interface TDoubleProcedure

    public interface TDoubleProcedure

Interface for procedures with one double parameter. Created: Mon Nov 5 21:45:49 2001

Version:
  $Id: PProcedure.template,v 1.2 2007/11/01 16:08:14 robeden Exp $
Author:
  Eric D. Friedman

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `execute(double value)` Executes this procedure.

### Method Detail

#### execute

    boolean execute(double value)

Executes this procedure. A false return value indicates that the application executing this procedure should not invoke this procedure again.

Parameters:
  `value` - a value of type `double`
Returns:
  true if additional invocations of the procedure are allowed.